petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPFCGGetNprealloc

get the number of directions preallocate by FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetNprealloc(KSP ksp,PetscInt *nprealloc)

Not Collective Many br

### Input Parameter

ksp -the Krylov space context Many br

### Output Parameter

nprealloc -the number of directions preallocated Many br

Many br

### Keywords

KSP, FCG, truncation

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGSetNprealloc()

Level:advanced
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages